## mender-snapshot 1.0.0

=== debian/changelog ===
mender-snapshot (1.0.0-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.0-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@9eeb5ce423f5>  Tue, 09 Sep 2025 11:52:23 +0000

## mender-snapshot 1.1.0~git20250304.d6c9aef

=== debian/changelog ===
mender-snapshot (1.1.0~git20250304.d6c9aef-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 1.1.0~git20250304.d6c9aef-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@6745e0ee09f3>  Fri, 10 Oct 2025 07:47:41 +0000

## mender-snapshot 1.1.0~git20260105.5dd17c6

=== Makefile ===
DESTDIR ?= /
prefix ?= $(DESTDIR)
bindir=/usr/bin

GO ?= go
V ?=
PKGS = $(shell go list ./...)
PKGFILES = $(shell find . \( -path ./vendor \) -prune \
		-o -type f -name '*.go' -print)
PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v '_test.go' )

VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)

GO_LDFLAGS = \
	-ldflags "-X github.com/mendersoftware/mender-snapshot/conf.Version=$(VERSION)"

ifeq ($(V),1)
BUILDV = -v
endif

TAGS =
ifneq ($(TAGS),)
BUILDTAGS = -tags '$(TAGS)'
endif

build: mender-snapshot

clean:
	@$(GO) clean

mender-snapshot: $(PKGFILES)
	@$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)

install: install-bin

install-bin: mender-snapshot
	@install -m 755 -d $(prefix)$(bindir)
	@install -m 755 mender-snapshot $(prefix)$(bindir)/

uninstall: uninstall-bin

uninstall-bin:
	@rm -f $(prefix)$(bindir)/mender-snapshot
	@-rmdir -p $(prefix)$(bindir)

check: test

test:
	@$(GO) test $(BUILDV) $(PKGS)

.PHONY: build
.PHONY: clean
.PHONY: install
.PHONY: install-bin
.PHONY: uninstall
.PHONY: uninstall-bin
.PHONY: test
.PHONY: check

=== debian/changelog ===
mender-snapshot (1.1.0~git20260105.5dd17c6-1+ubuntu+jammy+builder2287314913) experimental; urgency=medium

  * Release 1.1.0~git20260105.5dd17c6-1+ubuntu+jammy+builder2287314913.
    See online docs for complete changelog

 -- root <root@ac568ff53b3e>  Mon, 26 Jan 2026 20:18:17 +0000

=== debian/control ===
Source: mender-snapshot
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-snapshot
Architecture: any
Depends: ${misc:Depends}
Description: Mender Snapshot is a standalone tool to create a snapshot of the
 current running rootfs partition. It is used by the `mender-artifact` tool to
 generate a "golden image" Artifact based on the current rootfs partition of a
 given device.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	DESTDIR=debian/mender-snapshot make install

override_dh_auto_test:
	true

override_dh_strip:
	${CROSS_COMPILE}-strip --remove-section=.comment --remove-section=.note \
	debian/mender-snapshot/usr/bin/mender-snapshot
